@charset "UTF-8";

/*!
Theme Name: Cocoon Child
Description: Cocoon専用の子テーマ
Theme URI: https://wp-cocoon.com/
Author: わいひら
Author URI: https://nelog.jp/
Template:   cocoon-master
Version:    1.1.3
*/

/************************************
** 子テーマ用のスタイルを書く
************************************/
/*必要ならばここにコードを書く*/

/* FrontPage MV navi-color-change */
.skin-grayish #navi-in[data-navi-active=false] {
  background-color: transparent;
}

.skin-grayish #navi-in[data-navi-active=false]>ul.menu-top.menu-header.menu-pc>li>a,
.skin-grayish #navi-in[data-navi-active=false] [class^="icon-"],
.skin-grayish #navi-in[data-navi-active=false] .search-menu-icon span::before {
  color: #333a3f;
  filter: drop-shadow(0px 0px 4px white);
}

.cstm-font-style-hanzure {
  --cstm-text-stroke-color: #000000;
  --cstm-text-shadow-color: #778893;
  -webkit-text-stroke: 1px var(--cstm-text-stroke-color);
  text-shadow: 3px 3px 0 var(--cstm-text-shadow-color);
  color: transparent;
  caret-color: #000;
}

/*マウスオーバー時にリンクを凹ませる*/
a:hover{ position:relative;top:3px ;left:3px; }

/*マウスオーバー時にリンクを半透明に光らせる*/
a:hover img{
opacity:0.5;
filter:alpha(opacity=50);
-ms-filter: “alpha( opacity=50 )”;
}

/* dot */
.cocoon-custom-text-1 {
  text-emphasis-style: dot;
  --custom-text-1-color: currentColor;
  text-emphasis-color: var(--custom-text-1-color);
}

/* open dot */
.cocoon-custom-text-2 {
  text-emphasis-style: open dot;
  --custom-text-2-color: currentColor;
  text-emphasis-color: var(--custom-text-2-color);
}

/* 円 */
.cocoon-custom-text-3 {
  text-emphasis-style: circle;
  --custom-text-3-color: currentColor;
  text-emphasis-color: var(--custom-text-3-color);
}

.cocoon-custom-text-4 {
  text-emphasis-style: open circle;
  --custom-text-4-color: currentColor;
  text-emphasis-color: var(--custom-text-4-color);
}

/* 三角形 */
.cocoon-custom-text-5 {
  text-emphasis-style: triangle;
  --custom-text-5-color: currentColor;
  text-emphasis-color: var(--custom-text-5-color);
}

.cocoon-custom-text-6 {
  text-emphasis-style: open triangle;
  --custom-text-6-color: currentColor;
  text-emphasis-color: var(--custom-text-6-color);
}

/* ごま */
.cocoon-custom-text-7 {
  text-emphasis-style: sesame;
  --custom-text-7-color: currentColor;
  text-emphasis-color: var(--custom-text-7-color);
}

.cocoon-custom-text-8 {
  text-emphasis-style: open sesame;
  --custom-text-8-color: currentColor;
  text-emphasis-color: var(--custom-text-8-color);
}

/* 下線 */
.cocoon-custom-text-9 {
  text-decoration-line: underline;
  text-decoration-style: solid;
  --custom-text-9-color: currentColor;
  text-decoration-color: var(--custom-text-9-color);
  text-decoration-thickness: 4px;
  text-underline-offset: 4px;
}

/* 下線（２重） */
.cocoon-custom-text-10 {
  text-decoration-line: underline;
  text-decoration-style: double;
  --custom-text-10-color: currentColor;
  text-decoration-color: var(--custom-text-10-color);
  text-decoration-thickness: 1px;
  text-underline-offset: 4px;
}

/* 下線 dashed */
.cocoon-custom-text-12 {
  text-decoration-line: underline;
  text-decoration-style: dashed;
  --custom-text-12-color: currentColor;
  text-decoration-color: var(--custom-text-12-color);
  text-decoration-thickness: 2px;
  text-underline-offset: 4px;
}

/* 下線 wavy, ブラウザによって結構見た目の違いがあるので注意 */
.cocoon-custom-text-13 {
  text-decoration-line: underline;
  text-decoration-style: wavy;
  --custom-text-13-color: currentColor;
  text-decoration-color: var(--custom-text-13-color);
  text-decoration-thickness: auto;
  text-underline-offset: 4px;
}

/* 下線 斜めストライプ */
.cocoon-custom-text-14 {
  --custom-text-14-color: #cddab9;
  border-image: repeating-linear-gradient(-50deg, var(--custom-text-14-color), var(--custom-text-14-color) 2px, transparent 0, transparent 4px) 10/0 0 5px 0;
  border-style: solid;
  padding-bottom: 4px;
}

/* 下線 Safariでもドットの下線 */
.cocoon-custom-text-15 {
  --custom-text-15-color: currentColor;
  background-image: radial-gradient(circle, var(--custom-text-15-color) 2px, transparent 2px);
  background-size: 8px 4px;
  background-repeat: repeat-x;
  background-position: 0 1.2em;
  padding-bottom: 8px;
}

/* カバーブロック用：インナーブロックの中央寄せを追加 */
.cstm-blk-fullwide-inner {
    width: 100vw;
    margin: 0 calc(50% - 50vw);
    padding: 0 calc(50vw - 50%);
}


/************************************
** レスポンシブデザイン用のメディアクエリ
************************************/
/*1023px以下*/
@media screen and (max-width: 1023px){
  /*必要ならばここにコードを書く*/
}

/*834px以下*/
@media screen and (max-width: 834px){
  /*必要ならばここにコードを書く*/
}

/*480px以下*/
@media screen and (max-width: 480px){
  /*必要ならばここにコードを書く*/
}
